<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Everyone loves pizza!</title>
    <style>
        body{
        padding: 100px 100px 100px 100px;
        font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    }
    button {
        background: black;
        color: white;
        padding: 10px 20px 10px 20px;
        border-radius: 50px;
        margin: 3px 0px 3px 0px;
        box-shadow: 0px 0px 0px transparent;
        border: 0px solid transparent;
        text-shadow: 0px 0px 0px transparent;
    }
    button:hover {
        background-color: #58D68D;
    }
    button:disabled {
        background: grey;
    }
    a {
        color: black;
    }
    </style>
</head>
<body>
<header>
    <a href="/">Go home</a>
    <h1>Change topping on pizza</h1>
    <p>Enter the id of the pizza you want to change topping on.</p>
</header>
<section>
    <button onclick="viewOrdersClick()" id="viewOrdersButton">View order</button>
    <section id="orders"> </section> <br/>
    <form id="toppingsForm">
        <input type="text" name="pizzaIs" placeholder="id">
    </form>
    <button onclick="myFunction()">Get pizza</button>
    <br/>
    <p>After entering the pizza id, change the toppings by toggling the buttons below on/off:</p>
    <form action="/changeTopping">
        <input type="text" id="pizzaNameAuto" name="pizzaName" placeholder="Pizza name"> <input type="text" id="pizzaSizeAuto" name="pizzaSize" placeholder="Size"> <br/>
        <input type="checkbox" id="cheeseCheckbox" name="cheeseCheckbox" ><label for="cheeseCheckbox">Cheese</label>
        <input type="checkbox" id="tomatoSauceCheckbox" name="tomatoSauceCheckbox" ><label for="tomatoSauceCheckbox">Tomato sauce</label>
        <input type="checkbox" id="hamCheckbox" name="hamCheckbox" ><label for="hamCheckbox"> Ham </label>
        <br/>
        <input type="checkbox" id="mushroomCheckbox" name="mushroomCheckbox" ><label for="mushroomCheckbox"> Mushroom </label>
        <input type="checkbox" id="pepperoniCheckbox" name="pepperoniCheckbox" ><label for="pepperoniCheckbox">Pepperoni </label>
        <input type="checkbox" id="pineappleCheckbox" name="pineappleCheckbox" ><label for="pineappleCheckbox"> Pineapple </label>
        <br/><button name="changeToppingBtn" id="changeToppingBttn">Confirm changes</button>
    </form>
</section>
<script src="viewOrder.js"></script>
<script>
    let pizzaName = "";
    let pizzaSize = "";
    function myFunction() {
        var inputForm = document.getElementById("toppingsForm");
        //pizzaName = inputForm.elements[0].value;
        //pizzaSize = inputForm.elements[1].value;

        let pizzaId = inputForm.elements[0].value;

        let nameField = document.getElementById("pizzaNameAuto");
        let sizeField = document.getElementById("pizzaSizeAuto")


        fetch('/viewOrder')
    .then(response => response.json())
    .then(response=>{
        console.log(response);

        response.forEach((pizza)=>{
            if (pizza.id.valueOf() == pizzaId){
                console.log(pizza.name)
                console.log(pizza.id);

                nameField.value = pizza.name;
                sizeField.value = pizza.size;

                    console.log(pizza.toppings)

                    for(let i = 0; i < pizza.toppings.length; i++){
                        console.log(pizza.toppings[i]);
                        switch(pizza.toppings[i]){
                            case "Cheese":
                                document.getElementById("cheeseCheckbox").checked = true;
                                break;
                            case "Tomato sauce":
                                document.getElementById("tomatoSauceCheckbox").checked = true;
                                break;
                            case "Ham":
                                document.getElementById("hamCheckbox").checked = true;
                                break;
                            case "Pepperoni":
                                document.getElementById("pepperoniCheckbox").checked = true;
                                break;
                            case "Mushroom":
                                document.getElementById("mushroomCheckbox").checked = true;
                                break;
                            case "Pineapple":
                                document.getElementById("pineappleCheckbox").checked = true;
                                break;
                         }
                    }
            }

            /*
            if (pizza.name.valueOf() == pizzaName.valueOf()){
                if (pizza.size.valueOf() == pizzaSize.valueOf()) {
                    console.log(pizza.id);

                    console.log(pizza.toppings)

                    for(let i = 0; i < pizza.toppings.length; i++){
                        console.log(pizza.toppings[i]);
                        switch(pizza.toppings[i]){
                            case "Cheese":
                                document.getElementById("cheeseCheckbox").checked = true;
                                break;
                            case "Tomato sauce":
                                document.getElementById("tomatoSauceCheckbox").checked = true;
                                break;
                            case "Ham":
                                document.getElementById("hamCheckbox").checked = true;
                                break;
                            case "Pepperoni":
                                document.getElementById("pepperoniCheckbox").checked = true;
                                break;
                            case "Mushroom":
                                document.getElementById("mushroomCheckbox").checked = true;
                                break;
                            case "Pineapple":
                                document.getElementById("pineappleCheckbox").checked = true;
                                break;
                         }
                    }
                }
            }*/
        })
    })
    }


</script>
</body>
</html>

















<!--<!doctype html> GAMMEL
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>The HTML5 Herald</title>
    <meta name="description" content="The HTML5 Herald">
    <meta name="author" content="SitePoint">
</head>
<body>
<header>
    <a href="/">Go home</a>
    <h1>Change topping on pizza</h1>
</header>
<section>


    <form action="/changeTopping">
        <input type="text" name="pizzaId" placeholder="id" size="1"><br/><br/>
        <input type="checkbox" id="cheeseCheckbox" name="cheeseCheckbox" ><label for="cheeseCheckbox">Cheese</label>
        <input type="checkbox" id="tomatoSauceCheckbox" name="tomatoSauceCheckbox" ><label for="tomatoSauceCheckbox">Tomato sauce</label>
        <input type="checkbox" id="hamCheckbox" name="hamCheckbox" ><label for="hamCheckbox"> Ham </label>
        <br/>
        <input type="checkbox" id="mushroomCheckbox" name="mushroomCheckbox" ><label for="mushroomCheckbox"> Mushroom </label>
        <input type="checkbox" id="pepperoniCheckbox" name="pepperoniCheckbox" ><label for="pepperoniCheckbox">Pepperoni </label>
        <input type="checkbox" id="pineappleCheckbox" name="pineappleCheckbox" ><label for="pineappleCheckbox"> Pineapple </label>

        <br/><button name="changeToppingBtn" id="changeToppingBttn">Submit</button>
    </form>

</section>
<script>
    fetch('/choosePizza')
    .then(response => response.json())
    .then(response=>{
        console.log(response);

    })
</script>
</body>
</html>-->